Subject: [PATCH 0/2] ARM: OMAP: ads7846: fix pendown debounce setting

From: [email-masked] (Tony Lindgren)
Date: Wed, 21 Nov 2012 11:09:30 -0800

* Dmitry Torokhov <[email-masked]> [121120 00:23]:
> On Mon, Nov 19, 2012 at 06:03:56PM +0200, Igor Grinberg wrote:
> > Commit 97ee9f01 (ARM: OMAP: fix the ads7846 init code) have enabled the
> > pendown GPIO debounce time setting by the below sequence:
> > 
> >   gpio_request_one()
> >   gpio_set_debounce()
> >   gpio_free()
> > 
> > It also revealed a bug in the OMAP GPIO handling code which prevented
> > the GPIO debounce clock to be disabled and CORE transition to low power
> > states.
> > 
> > Commit c9c55d9 (gpio/omap: fix off-mode bug: clear debounce settings on
> > free/reset) fixes the OMAP GPIO handling code by making sure that the
> > GPIO debounce clock gets disabled if no GPIO is requested from current
> > bank.
> > 
> > While fixing the OMAP GPIO handling code (in the right way), the above
> > commit makes the gpio_request->set_debounce->free sequence invalid as
> > after freeing the GPIO, the debounce settings are lost.
> > 
> > This patch set:
> > 1) Adds the pendown GPIO debounce time setting to the platform data
> >    structure of the ads7846 driver.
> > 2) Fixes the OMAP platform code to pass the debounce time value
> >    to the driver instead of handling it by itself.
> > 
> > Igor Grinberg (2):
> >   ads7846: enable pendown GPIO debounce time setting
> >   ARM: OMAP: ads7846: fix pendown debounce setting
> > 
> 
> Makes sense to me. Tony, I have some stuff to push for 3.7 final, mind
> if I pick OMAP change as well?

No please go ahead, I just acked the related patch.

Regards,

Tony